Saved Query Column
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE |
List all saved query column annotations
Read and edit semantic descriptions of data-modelling views and columns surfaced to the AI agent.
List can be filtered to one view with ?saved_query_id=<uuid>. Any create or update is treated as a
user edit (is_user_edited=True), which protects the row from being overwritten by automatic
enrichment. Create upserts on (saved_query, column_name); the view cannot be changed after creation.
Required API key scopes
warehouse_view:readQuery parameters
- limitinteger
- offsetinteger
- saved_query_idstring
Response
Example request
GET /api /projects /:project_id /saved_query_column_annotationsExample response
Status 200
Create saved query column annotations
Read and edit semantic descriptions of data-modelling views and columns surfaced to the AI agent.
List can be filtered to one view with ?saved_query_id=<uuid>. Any create or update is treated as a
user edit (is_user_edited=True), which protects the row from being overwritten by automatic
enrichment. Create upserts on (saved_query, column_name); the view cannot be changed after creation.
Required API key scopes
warehouse_view:writeRequest parameters
- saved_querystring
- column_namestring
- descriptionstring
Response
Example request
POST /api /projects /:project_id /saved_query_column_annotationsExample response
Status 201
Retrieve saved query column annotations
Read and edit semantic descriptions of data-modelling views and columns surfaced to the AI agent.
List can be filtered to one view with ?saved_query_id=<uuid>. Any create or update is treated as a
user edit (is_user_edited=True), which protects the row from being overwritten by automatic
enrichment. Create upserts on (saved_query, column_name); the view cannot be changed after creation.
Required API key scopes
warehouse_view:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /saved_query_column_annotations /:idExample response
Status 200
Update saved query column annotations
Read and edit semantic descriptions of data-modelling views and columns surfaced to the AI agent.
List can be filtered to one view with ?saved_query_id=<uuid>. Any create or update is treated as a
user edit (is_user_edited=True), which protects the row from being overwritten by automatic
enrichment. Create upserts on (saved_query, column_name); the view cannot be changed after creation.
Required API key scopes
warehouse_view:writePath parameters
- idstring
Request parameters
- saved_querystring
- column_namestring
- descriptionstring
Response
Example request
PATCH /api /projects /:project_id /saved_query_column_annotations /:idExample response
Status 200
Delete saved query column annotations
Read and edit semantic descriptions of data-modelling views and columns surfaced to the AI agent.
List can be filtered to one view with ?saved_query_id=<uuid>. Any create or update is treated as a
user edit (is_user_edited=True), which protects the row from being overwritten by automatic
enrichment. Create upserts on (saved_query, column_name); the view cannot be changed after creation.
Required API key scopes
warehouse_view:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /saved_query_column_annotations /:id